.TH Pgetuid 2 "MiNT Programmer's Manual" "Version 0.95" "Aug. 1, 1992"
.SH NAME
Pgetuid, Pgetgid \- get the current user or group id
.SH SYNOPSIS
.nf
WORD Pgetuid();
WORD Pgetgid();
WORD Pgeteuid();
WORD Pgetegid();
.fi
.SH DESCRIPTION

.I Pgetuid
returns the real user id of the currently running process. This is a number
between 0 and 255 which determines the access permissions of the process,
and which may be used in multi-user systems to distinguish different
users of the system.

.PP
Similarly,
.I Pgetgid
returns the real group id of the currently running process; this will also
be a number between 0 and 255.

.PP
.I Pgeteuid
and
.I Pgetegid
are similar to
.I Pgetuid
and
.I Pgetgid
respectively, except that they return the effective user or group id.
This is normally the same as the real user or group id, except that
if a program is run which has the set uid or set gid bit bit set,
it will run with an effective user or group id equal to the owner
of the program file. Access to files is based upon the effective
user or group id, so the set uid (and set gid) mechanism
allows users (in particular the super user)
to grant permissions to other users. This mechanism also exists
in the Unix(tm) operating system.

.SH "SEE ALSO"
.IR Psetuid (2)
